Debian Bug report logs - #701590
lightspark: FTBFS on powerpcspe

version graph

Package: lightspark; Maintainer for lightspark is Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>; Source for lightspark is src:lightspark.

Reported by: Roland Stigge <stigge@antcom.de>

Date: Sun, 24 Feb 2013 19:48:01 UTC

Severity: wishlist

Tags: jessie, patch, sid

Found in version lightspark/0.6.0.1-2

Fixed in version lightspark/0.7.1-2

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>:
Bug#701590; Package lightspark. (Sun, 24 Feb 2013 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
New Bug report received and forwarded. Copy sent to Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>. (Sun, 24 Feb 2013 19:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lightspark: FTBFS on powerpcspe
Date: Sun, 24 Feb 2013 20:43:13 +0100
[Message part 1 (text/plain, inline)]
Package: lightspark
Version: 0.6.0.1-2
Severity: wishlist
Tags: patch sid
User: debian-powerpcspe@breakpoint.cc
Usertags: powerpcspe

Hi,

lightspark FTBFS on powerpcspe[1] like this:

[...]
[  4%] Building CXX object src/CMakeFiles/spark.dir/asobject.cpp.o
cd /«PKGBUILDDIR»/obj-powerpc-linux-gnuspe/src && /usr/bin/c++   -Dspark_EXPORTS -DLLVM_30 -DAUDIO_BACKEND="\"pulse sdl\"" -DHAVE_AVCODEC_DECODE_VIDEO2 -DHAVE_AVCODEC_DECODE_AUDIO3 -DHAVE_AVCODEC_DECODE_AUDIO4 -DHAVE_AVIO_ALLOC_CONTEXT -DENABLE_LIBAVCODEC -DHAVE_NEW_GLIBMM_THREAD_API -DENABLE_CURL -DENABLE_RTMP -DLS_DATADIR=\"/usr/share/lightspark\" -DGNASH_PATH=\"/usr/bin/gnash\" -DPRIVATELIBDIR=\"/usr/lib/lightspark\" -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2  -maltivec -D__STDC_CONSTANT_MACROS -fPIC -Wall -Wnon-virtual-dtor -Woverloaded-virtual -pipe -fvisibility=hidden -fvisibility-inlines-hidden -std=c++0x -Wdisabled-optimization -Wextra -Wno-unused-parameter -Wno-invalid-offsetof -g -O2 -DNDEBUG -fPIC -I/«PKGBUILDDIR»/obj-powerpc-linux-gnuspe -I/usr/include/glibmm-2.4 -I/usr/lib/powerpc-linux-gnuspe/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/powerpc-linux-gnuspe/sigc++-2.0/include -I/usr/include/glib
 -2.0 -I/usr/lib/powerpc-linux-gnuspe/glib-2.0/include -I/usr/lib/llvm-3.0/include -I/usr/include/freetype2 -I/usr/include/libxml2 -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/lib/powerpc-linux-gnuspe/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gio-unix-2.0 -I/«PKGBUILDDIR»/src -I/«PKGBUILDDIR»/src/scripting    -o CMakeFiles/spark.dir/asobject.cpp.o -c /«PKGBUILDDIR»/src/asobject.cpp
/«PKGBUILDDIR»/src/asobject.cpp:1:0: error: AltiVec and E500 instructions cannot coexist
make[3]: *** [src/CMakeFiles/spark.dir/asobject.cpp.o] Error 1
make[2]: *** [src/CMakeFiles/spark.dir/all] Error 2
[...]

The attached patch fixes this by enabling -maltivec only in the PowerPC case
when SPE is _not_present.

Thanks,

Roland


[1] http://wiki.debian.org/PowerPCSPEPort


-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.7.0 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash
[lightspark.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>:
Bug#701590; Package lightspark. (Thu, 28 Feb 2013 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 12:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 701590@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Roland Stigge <stigge@antcom.de>, 701590@bugs.debian.org
Subject: Re: Bug#701590: lightspark: FTBFS on powerpcspe
Date: Thu, 28 Feb 2013 13:00:59 +0100
Hi Roland,

Le dimanche, 24 février 2013 20.43:13, Roland Stigge a écrit :
> lightspark FTBFS on powerpcspe[1] like this:
> The attached patch fixes this by enabling -maltivec only in the PowerPC
> case when SPE is _not_present.

Hi Roland,

Thanks for this patch.

Would it be possible to refactor that patch to have the dpkg-specific handling 
in debian/rules (as CMAKE argument like -DDISABLE_ALTIVEC for example) instead 
of directly in the CMakeLists.txt ? This would widely help pushing that fix to 
upstream.

By the way, if you could test-compile lightspark from experimental, that would 
be a nice input for upstream too.

Thanks in advance, cheers,

OdyX



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>:
Bug#701590; Package lightspark. (Thu, 28 Feb 2013 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>. (Thu, 28 Feb 2013 14:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 701590@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Didier 'OdyX' Raboud <odyx@debian.org>
Cc: 701590@bugs.debian.org
Subject: Re: Bug#701590: lightspark: FTBFS on powerpcspe
Date: Thu, 28 Feb 2013 15:11:52 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 02/28/2013 01:00 PM, Didier 'OdyX' Raboud wrote:
> Would it be possible to refactor that patch to have the dpkg-specific handling 
> in debian/rules (as CMAKE argument like -DDISABLE_ALTIVEC for example) instead 
> of directly in the CMakeLists.txt ? This would widely help pushing that fix to 
> upstream.

I'm attaching two patches (for debian/rules, and for upstream, resp.),
that should do exactly this.

> By the way, if you could test-compile lightspark from experimental, that would 
> be a nice input for upstream too.

Yes - just done, builds fine, with exactly the same patches applied.

Roland
[rules.patch (text/x-patch, attachment)]
[lightspark-upstream.patch (text/x-patch, attachment)]

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Sat, 02 Mar 2013 17:36:06 GMT) Full text and rfc822 format available.

Notification sent to Roland Stigge <stigge@antcom.de>:
Bug acknowledged by developer. (Sat, 02 Mar 2013 17:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 701590-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 701590-close@bugs.debian.org
Subject: Bug#701590: fixed in lightspark 0.7.1-2
Date: Sat, 02 Mar 2013 17:33:04 +0000
Source: lightspark
Source-Version: 0.7.1-2

We believe that the bug you reported is fixed in the latest version of
lightspark, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701590@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated lightspark package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Mar 2013 18:04:47 +0100
Source: lightspark
Binary: lightspark browser-plugin-lightspark lightspark-common lightspark-dbg
Architecture: source amd64
Version: 0.7.1-2
Distribution: experimental
Urgency: low
Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 browser-plugin-lightspark - High-performance SWF player - Mozilla Plugin (experimental)
 lightspark - High-performance SWF player (experimental)
 lightspark-common - High-performance SWF player - common data
 lightspark-dbg - High-performance SWF player (experimental) - Debug symbols
Closes: 701590
Changes: 
 lightspark (0.7.1-2) experimental; urgency=low
 .
   [ Roland Stigge ]
   * Patch buildsystem to make -maltivec optional. Fixes the powerpcspe
     FTBFS. (Closes: #701590)
Checksums-Sha1: 
 e0dcd6ae805d6eba4a66a8628d5447cc9ab1319c 2314 lightspark_0.7.1-2.dsc
 2c441888ceec43eb41a80dec6e4a7009a0304440 8170 lightspark_0.7.1-2.debian.tar.gz
 eb13ac270ec6f4b88d1968dff1cc5d8409f5b8c8 111982 lightspark_0.7.1-2_amd64.deb
 7af140a76d6ba0ee9623177b3346fd1c5c01a1ed 53956 browser-plugin-lightspark_0.7.1-2_amd64.deb
 adf4acbf257905d2e69c00daa7f454ffbaccf3c7 4791336 lightspark-common_0.7.1-2_amd64.deb
 28af0c9ab716c9f03af3318c9b8582742e7c9895 16830550 lightspark-dbg_0.7.1-2_amd64.deb
Checksums-Sha256: 
 45eb846661d98ac3070c5474b872a0ece0da871c524a6884a1c11262a5cfbc19 2314 lightspark_0.7.1-2.dsc
 82d72e61f1e632786eea47c13cb41bc12517940bf6bd079526b523de251e0d4a 8170 lightspark_0.7.1-2.debian.tar.gz
 f4be99f76df1797e68cbec7e2535d012f51b02c9ad47210638d0b876023c27fa 111982 lightspark_0.7.1-2_amd64.deb
 ada1e80aad54e126d61cfe8f8e2ca34b5c496d01f6de9338bb289596a79547ea 53956 browser-plugin-lightspark_0.7.1-2_amd64.deb
 082f0e10d543330a57fb9eaae0eb8e0fb566857b3daab8630f5fe3122845dce3 4791336 lightspark-common_0.7.1-2_amd64.deb
 713f5058c2e4fc93677637b3c58b5ee65bff24506c3d8d71495b9c176ac67d9a 16830550 lightspark-dbg_0.7.1-2_amd64.deb
Files: 
 9ee4b1e4d73ec6b884734ec697d72797 2314 utils optional lightspark_0.7.1-2.dsc
 f01ff36dc5a0303ef5fd0a892b22df97 8170 utils optional lightspark_0.7.1-2.debian.tar.gz
 ff0d44f67df08f517c9fe3303ba2bb02 111982 utils optional lightspark_0.7.1-2_amd64.deb
 33d6a7eb4a799427ebbc0cccb5d7cb41 53956 utils optional browser-plugin-lightspark_0.7.1-2_amd64.deb
 fa5cc79563173db7756941413c4b1157 4791336 utils optional lightspark-common_0.7.1-2_amd64.deb
 389acec30db9be99dfee7c53a4bf50ec 16830550 debug extra lightspark-dbg_0.7.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQGcBAEBCAAGBQJRMjNqAAoJEIvPpx7KFjRVQbQMAJMtrCXGxK1pWs3ZLaoLrMCL
iNlyW3GJhkJUHzkKEnmQQiDplrxNZc9hn7O/NPXgv+ysYgnOkWeW764O84RjIx58
UOB/ou6PpbTHjxJQmox5LSMjAZ5xt6xP+DF3XmC15nmP2HHEfXcZfdnzk3HQDuGq
M1DQkW5uUjBhdp02OLl1vSv0Pb8ksa9wnIatZfAfzUhpEN6dGHRZCAjMQqHf97l1
5ObjW2YJ9pfMEhXlAu44prDdfUk/Pi4cnipwcfusRSWhgaJZ5EGTHPh4rXetmybp
1FL8WQwW+L0i3BoBx1xHVgdTfsCa7J7XO87vFds3dSoj+IajBwsSwi5xQRgdQr29
0GnEXGPqLn1G7n4Vonwdsr3SZXMbMnw+aZQmcY6vQHQEmstRF8nZIR8l/Rge7stG
rKUJn0sq6hEx3GOewqbvlEzJiv4lNtow049Pos7DQzA/R5+Ow0BP3SyLWHeLm7Lz
1CBzBwrrtXwlzldUH2BVmOicMUiz5b0WXivV71TgWA==
=1UP5
-----END PGP SIGNATURE-----




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:57 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 08:09:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:22:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.